Skip to main content
GET
/
networks
/
pixels
/
{pixelId}
Get Partner Postback by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/pixels/{pixelId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_pixel_id": 123,
  "network_id": 123,
  "network_affiliate_id": 123,
  "network_offer_id": 123,
  "network_offer_payout_revenue_id": 123,
  "delivery_method": "postback",
  "pixel_level": "global",
  "pixel_status": "active",
  "pixel_type": "conversion",
  "postback_url": "<string>",
  "html_code": "<string>",
  "description": "<string>",
  "delay_ms": 123,
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "facebook_pixel": {
    "network_affiliate_integration_facebook_business_id": 123,
    "pixel_id": "<string>",
    "event_name": "<string>",
    "event_id": "<string>",
    "action_source": "<string>",
    "event_source_url": "<string>",
    "user_data": [
      {
        "field": "email",
        "value": "<string>"
      }
    ],
    "custom_data": [
      {
        "field": "value",
        "value": "<string>"
      }
    ]
  },
  "tiktok_pixel": {
    "network_affiliate_integration_tiktok_id": 123,
    "pixel_code": "<string>",
    "event_name": "<string>",
    "url": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "properties": [
      {
        "field": "price",
        "value": "<string>"
      }
    ]
  },
  "snapchat_pixel": {
    "network_affiliate_integration_snapchat_id": 123,
    "asset_id": "<string>",
    "event_name": "<string>",
    "event_id": "<string>",
    "action_source": "<string>",
    "event_source_url": "<string>",
    "user_data": [
      {
        "field": "email",
        "value": "<string>"
      }
    ],
    "custom_data": [
      {
        "field": "value",
        "value": "<string>"
      }
    ]
  },
  "rumble_pixel": {
    "network_affiliate_integration_rumble_id": 123,
    "conversion_action_id": 123,
    "conversion_action_name": "<string>"
  },
  "relationship": {
    "offer": {
      "network_offer_id": 123,
      "network_id": 123,
      "network_advertiser_id": 123,
      "network_offer_group_id": 123,
      "name": "<string>",
      "offer_status": "<string>",
      "network_tracking_domain_id": 123,
      "visibility": "<string>",
      "currency_id": "<string>"
    },
    "affiliate": {
      "network_affiliate_id": 123,
      "network_id": 123,
      "name": "<string>",
      "account_status": "<string>",
      "network_employee_id": 123,
      "internal_notes": "<string>",
      "has_notifications": true,
      "network_traffic_source_id": 123,
      "account_executive_id": 123,
      "adress_id": 123,
      "default_currency_id": "<string>",
      "is_contact_address_enabled": true,
      "enable_media_cost_tracking_links": true,
      "referrer_id": 123,
      "time_created": 1734455015,
      "time_saved": 1734455015
    }
  }
}
Retrieve a single partner postback by its ID, including the postback URL, firing conditions, and associated offer/affiliate.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

pixelId
integer
required

The partner postback (pixel) identifier.

Response

200 - application/json
network_pixel_id
integer

Unique partner postback (pixel) ID.

network_id
integer

Network ID.

network_affiliate_id
integer

Associated affiliate ID (0 for all affiliates).

network_offer_id
integer

Associated offer ID. Only relevant if pixel_level is specific or global_offer. Set to 0 when pixel_level is global.

network_offer_payout_revenue_id
integer

ID of the offer payout and revenue entry associated with this postback, also known as the event ID. Only relevant when pixel_type is event and pixel_level is specific or global_offer. A value of 0 selects all payout and revenue / event IDs on the offer.

delivery_method
enum<string>

Determines how the postback will be fired. postback fires server-to-server (S2S). html fires from an HTML tag/pixel. facebook, tiktok, snapchat, and rumble fire through their respective integrations.

Available options:
postback,
html,
facebook,
tiktok,
snapchat,
rumble
pixel_level
enum<string>

Determines if the postback should be used for all offers (global), a specific offer/affiliate combination (specific), or all affiliates on a specific offer (global_offer).

Available options:
global,
specific,
global_offer
pixel_status
enum<string>

Postback status. Can be active or inactive.

Available options:
active,
inactive
pixel_type
enum<string>

conversion fires for the base conversion action. event fires for any post-conversion events. cpc is used specifically for offers with CPC payouts and fires on every unique payable click action.

Available options:
conversion,
cpc,
event
postback_url
string

The postback URL (used when delivery_method is postback). The URL requires the http:// or https:// protocol prefix.

html_code
string

HTML/iframe/image/JavaScript pixel code (when delivery_method is html).

description
string

Description of this postback.

delay_ms
integer

Optional delay in milliseconds that the system will wait before firing the postback. Only relevant when delivery method is postback. Maximum delay is 5 minutes (300000 milliseconds).

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

facebook_pixel
object

Meta (Facebook) pixel configuration. Present when delivery_method is facebook.

tiktok_pixel
object

TikTok pixel configuration. Present when delivery_method is tiktok.

snapchat_pixel
object

Snapchat pixel configuration. Present when delivery_method is snapchat.

rumble_pixel
object

Rumble pixel configuration. Present when delivery_method is rumble.

relationship
object

Related entities. Contains offer when pixel_level is specific or global_offer, and affiliate when pixel_level is specific or global.